Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkPointData Class Reference

`#include <vtkPointData.h>`

Inheritance diagram for vtkPointData:

[legend]
Collaboration diagram for vtkPointData:

[legend]
List of all members.

## Detailed Description

represent and manipulate point attribute data

Date:
  2002/01/22 15:25:57

Revision:
  1.56

vtkPointData is a class that is used to represent and manipulate point attribute data (e.g., scalars, vectors, normals, texture coordinates, etc.) Most of the functionality is handled by vtkDataSetAttributes

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Schroeder, Will (83%)
  - Martin, Ken (13%)

CVS logs (CVSweb):
  - .`h` (`/Common/vtkPointData.h)`
  - .`cxx` (`/Common/vtkPointData.cxx)`

Tests:
  vtkPointData (Tests)

Definition at line 47 of file vtkPointData.h.

## Public Types
typedef vtkDataSetAttributes | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | NullPoint (vtkIdType ptId)
## Static Public Methods
vtkPointData * | New ()
int | IsTypeOf (const char *type)
vtkPointData * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkPointData ()
| ~vtkPointData ()

## Member Typedef Documentation

typedef vtkDataSetAttributes vtkPointData::Superclass

| Reimplemented from vtkDataSetAttributes. Definition at line 52 of file vtkPointData.h.

## Constructor & Destructor Documentation

vtkPointData::vtkPointData | ( |  | ) | `[inline, protected]`

| Definition at line 57 of file vtkPointData.h.

vtkPointData::~vtkPointData | ( |  | ) | `[inline, protected]`

| Definition at line 58 of file vtkPointData.h.

## Member Function Documentation

vtkPointData* vtkPointData::New | ( |  | ) | `[static]`

| Construct object with copying turned on for all data. Reimplemented from vtkDataSetAttributes.

virtual const char* vtkPointData::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataSetAttributes.

int vtkPointData::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetAttributes.

virtual int vtkPointData::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetAttributes.

vtkPointData* vtkPointData::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataSetAttributes.

void vtkPointData::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataSetAttributes.

void vtkPointData::NullPoint | ( | vtkIdType | ptId | ) |

The documentation for this class was generated from the following file:

- Common/vtkPointData.h